summaryrefslogtreecommitdiffstats
path: root/system/memtest86+
diff options
context:
space:
mode:
author Kyle Guinn <elyk03@gmail.com>2013-10-26 00:16:46 -0500
committer Robby Workman <rworkman@slackbuilds.org>2013-10-27 23:38:51 -0500
commit319f898b5f28a560edd68c09dcc7c8facecf0280 (patch)
tree28d6fe26d4cfbf286f01e9fc2d88b3cfe37ce72c /system/memtest86+
parent405d8583ba1af6f284aeaca3d329970a01b49595 (diff)
downloadslackbuilds-319f898b5f28a560edd68c09dcc7c8facecf0280.tar.gz
slackbuilds-319f898b5f28a560edd68c09dcc7c8facecf0280.tar.xz
system/memtest86+: Added (comprehensive, stand-alone memory diagnostic)
Signed-off-by: Robby Workman <rworkman@slackbuilds.org>
Diffstat (limited to 'system/memtest86+')
-rw-r--r--system/memtest86+/README10
-rw-r--r--system/memtest86+/README.SLACKWARE22
-rw-r--r--system/memtest86+/memtest86+.SlackBuild67
-rw-r--r--system/memtest86+/memtest86+.info10
-rw-r--r--system/memtest86+/patches/asm-inline-fix.diff11
-rw-r--r--system/memtest86+/slack-desc19
6 files changed, 139 insertions, 0 deletions
diff --git a/system/memtest86+/README b/system/memtest86+/README
new file mode 100644
index 0000000000..5b65048319
--- /dev/null
+++ b/system/memtest86+/README
@@ -0,0 +1,10 @@
+Memtest86+ is thorough, stand alone memory test for Intel/AMD x86
+architecture systems. BIOS based memory tests are only a quick check
+and often miss failures that are detected by Memtest86+.
+
+Compilation may fail on 64-bit Slackware due to missing
+/usr/include/gnu/stubs-32.h from glibc. If you experience this problem,
+copy that file from stubs-64.h in the same directory (or create a symlink),
+and you may delete your copy/symlink after you have created the package.
+
+See README.SLACKWARE for setup information.
diff --git a/system/memtest86+/README.SLACKWARE b/system/memtest86+/README.SLACKWARE
new file mode 100644
index 0000000000..04dc1d18e8
--- /dev/null
+++ b/system/memtest86+/README.SLACKWARE
@@ -0,0 +1,22 @@
+README.SLACKWARE for memtest86+
+
+The memtest86+ package installs a bootable image to /boot/memtest86+.bin
+which is similar to the kernel images in the same directory.
+
+
+LILO users: Append this to your /etc/lilo.conf:
+
+ image = /boot/memtest86+.bin
+ label = memtest86+
+
+Then run /sbin/lilo to update the boot loader.
+Don't forget to re-run /sbin/lilo if you upgrade this package.
+
+
+GRUB users: Add something like this to your /boot/grub/menu.lst:
+
+ title Memtest86+
+ kernel (hd0,0)/boot/memtest86+.bin
+
+
+See /usr/doc/memtest86+-$VERSION/README for more info.
diff --git a/system/memtest86+/memtest86+.SlackBuild b/system/memtest86+/memtest86+.SlackBuild
new file mode 100644
index 0000000000..8c0a907360
--- /dev/null
+++ b/system/memtest86+/memtest86+.SlackBuild
@@ -0,0 +1,67 @@
+#!/bin/sh
+
+# Slackware build script for memtest86+
+
+# Copyright 2013 Kyle Guinn <elyk03@gmail.com>, USA
+# All rights reserved.
+#
+# Redistribution and use of this script, with or without modification, is
+# permitted provided that the following conditions are met:
+#
+# 1. Redistributions of this script must retain the above copyright
+# notice, this list of conditions and the following disclaimer.
+#
+# THIS SOFTWARE IS PROVIDED BY THE AUTHOR "AS IS" AND ANY EXPRESS OR IMPLIED
+# WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
+# MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO
+# EVENT SHALL THE AUTHOR BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
+# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,
+# PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS;
+# OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY,
+# WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR
+# OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF
+# ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
+
+PRGNAM=memtest86+
+VERSION=${VERSION:-4.20}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+
+# i486 only. Modify the Makefile at your own risk :-)
+ARCH=i486
+
+CWD=$(pwd)
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+DOCS="FAQ README*"
+
+set -e
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+rm -rf $PRGNAM-$VERSION
+tar xvf $CWD/$PRGNAM-$VERSION.tar.gz
+cd $PRGNAM-$VERSION
+chown -R root:root .
+chmod -R u+w,go-w,a+rX-st .
+
+# Fix false positives in test #7
+# https://bugzilla.novell.com/show_bug.cgi?id=773569
+patch -p1 < $CWD/patches/asm-inline-fix.diff
+
+make
+install -D -m 0644 memtest.bin $PKG/boot/memtest86+.bin
+
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+cp -a $DOCS $PKG/usr/doc/$PRGNAM-$VERSION
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+cat $CWD/README.SLACKWARE > $PKG/usr/doc/$PRGNAM-$VERSION/README.SLACKWARE
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.${PKGTYPE:-tgz}
diff --git a/system/memtest86+/memtest86+.info b/system/memtest86+/memtest86+.info
new file mode 100644
index 0000000000..0a86642385
--- /dev/null
+++ b/system/memtest86+/memtest86+.info
@@ -0,0 +1,10 @@
+PRGNAM="memtest86+"
+VERSION="4.20"
+HOMEPAGE="http://www.memtest.org/"
+DOWNLOAD="http://www.memtest.org/download/4.20/memtest86+-4.20.tar.gz"
+MD5SUM="ef62c2f5be616676c8c62066dedc46b3"
+DOWNLOAD_x86_64=""
+MD5SUM_x86_64=""
+REQUIRES=""
+MAINTAINER="Kyle Guinn"
+EMAIL="elyk03@gmail.com"
diff --git a/system/memtest86+/patches/asm-inline-fix.diff b/system/memtest86+/patches/asm-inline-fix.diff
new file mode 100644
index 0000000000..049c17af86
--- /dev/null
+++ b/system/memtest86+/patches/asm-inline-fix.diff
@@ -0,0 +1,11 @@
+--- memtest86+-4.20/test.c.orig 2011-01-23 19:11:04.000000000 +0100
++++ memtest86+-4.20/test.c 2012-10-05 14:57:19.000000000 +0200
+@@ -313,7 +313,7 @@ void movinvr()
+ "jb L200\n\t"
+ : "=D" (p)
+ : "D" (p), "b" (pe)
+- : "eax", "edx"
++ : "eax", "ecx", "edx"
+ );
+
+ do_tick();
diff --git a/system/memtest86+/slack-desc b/system/memtest86+/slack-desc
new file mode 100644
index 0000000000..2fdafcea20
--- /dev/null
+++ b/system/memtest86+/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description.
+# Line up the first '|' above the ':' following the base package name, and
+# the '|' on the right side marks the last column you can put a character in.
+# You must make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':' except on otherwise blank lines.
+
+ |-----handy-ruler------------------------------------------------------|
+memtest86+: Memtest86+ (comprehensive, stand-alone memory diagnostic)
+memtest86+:
+memtest86+: Memtest86+ is thorough, stand alone memory test for Intel/AMD x86
+memtest86+: architecture systems. BIOS based memory tests are only a quick check
+memtest86+: and often miss failures that are detected by Memtest86+.
+memtest86+:
+memtest86+:
+memtest86+:
+memtest86+:
+memtest86+:
+memtest86+: